#!/usr/bin/env python
# -*- coding: utf-8 -*-

from gimpfu import *
import os, glob

def load_Reconstructed_RGB_files(imgfname) :
    img = pdb.gimp_file_load(imgfname + "_R.tif", "")
#                             load R ch. file as background
    img.filename = imgfname  + "_RGB.xcf" #change image's filename
    disp = pdb.gimp_display_new(img) #display image
    filenames = [imgfname + "_Ch_Reconstructed.tif",
       imgfname + "_B.tif",
       imgfname + "_G.tif", imgfname + "_R.tif"]
    for filename in filenames:
        try:
            image_id, layer_ids = pdb.gimp_file_load_layers(img,
                 filename)
            for id in layer_ids:
                new_layer = gimp.Item.from_id(id)
                pdb.gimp_image_add_layer(img, new_layer, 0)
                pdb.gimp_layer_add_alpha (new_layer)
        except Exception, error:
            print error
    image = gimp.image_list()[0]
#
# Back Ground Layer (image.layers[4]) to White
    color = (1.0, 1.0, 1.0, 1.0)
#    color: (R Value, G Value, B Value, Transparence)
    pdb.gimp_context_set_background(color) #Set background painting color
    pdb.gimp_edit_fill(image.layers[4], BACKGROUND_FILL)
#    Fill layer[4] with Background Painting Color
#
    return

register(
    "load_Reconstructed_RGB_files_j",
    "補正色チャンネルファイル読込",
    "Load Reconstructed RGB Files",
    "Ohnishi, Yasuo",
    "Ohnishi, Yasuo",
    "2021 Ver0.01",
    "ファイル読込...",
    "",      # Alternately use RGB, RGB*, GRAY*, INDEXED etc.
    [
        (PF_FILE, "imgfname", "作成元ファイルの指定", ""),
    ],
    [],
    load_Reconstructed_RGB_files, menu="<Image>/My Plugins/色チャンネル補正ツール" )
main()

